#ifndef INPUT_H
#define INPUT_H

#include "../headers/GeCamera.h"
#include "../headers/Settings.h"
#include "oglheaders.h"

class Input {

public:
	static void init(GeCamera* cam);
	static void resetMousePos();
	static void release(void);

private:
	static void GLFWCALL callbackMousePos(int x, int y);
	static void GLFWCALL callbackMouseButton(int button, int action);
	static void GLFWCALL callbackKey(int key, int action);
	static GeCamera* cam;
	static bool mouseactive;
};

#endif // INPUT_H
